Uploaded image for project: 'Nuxeo Web UI'
  1. Nuxeo Web UI
  2. WEBUI-789

Unlock expect and expect-webdriverio dependency

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Minor
    • Resolution: Done
    • Affects Version/s: 3.0.13
    • Fix Version/s: 3.0.14
    • Component/s: CI/CD, Test Framework

      Description

      Since the release of expect-webdriverio v3.4.0, we locked the WebdriverIO dependency to v3.3.1 because this was preventing us from running Web UI functional tests with Nodejs v10.

      We should unlock the dependency version, probably after upgrading the Nodejs version used in Web UI. Tickets to revert are WEBUI-788 and WEBUI-797.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                rdias Ricardo Dias
                Reporter:
                rdias Ricardo Dias
                Participants:
                Reviewers:
                Gabriel Barata, Samuel Fialho
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 5 minutes
                  5m

                    PagerDuty

                    Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.